### Function

# Atk StateType for_name

#### Declaration [src]

    AtkStateType
    atk_state_type_for_name (
      const gchar* name
    )

#### Description [src]

Gets the `AtkStateType` corresponding to the description string `name`.

#### Parameters

`name`

  Type: `const gchar*`

  A character string state name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AtkStateType`

An `AtkStateType` corresponding to `name`.